# Uses of Class
org.apache.sysds.parser.dml.DmlParser.ParameterizedExpressionContext

Packages that use DmlParser.ParameterizedExpressionContext
Package
Description
org.apache.sysds.parser.dml

## Uses of DmlParser.ParameterizedExpressionContext in org.apache.sysds.parser.dml

Fields in org.apache.sysds.parser.dml declared as DmlParser.ParameterizedExpressionContext
Modifier and Type
Field
Description
`DmlParser.ParameterizedExpressionContext`
DmlParser.BuiltinFunctionExpressionContext.`parameterizedExpression`
`DmlParser.ParameterizedExpressionContext`
DmlParser.FunctionCallAssignmentStatementContext.`parameterizedExpression`
`DmlParser.ParameterizedExpressionContext`
DmlParser.FunctionCallMultiAssignmentStatementContext.`parameterizedExpression`
Fields in org.apache.sysds.parser.dml with type parameters of type DmlParser.ParameterizedExpressionContext
Modifier and Type
Field
Description
`List<DmlParser.ParameterizedExpressionContext>`
DmlParser.BuiltinFunctionExpressionContext.`paramExprs`
`List<DmlParser.ParameterizedExpressionContext>`
DmlParser.FunctionCallAssignmentStatementContext.`paramExprs`
`List<DmlParser.ParameterizedExpressionContext>`
DmlParser.FunctionCallMultiAssignmentStatementContext.`paramExprs`
Methods in org.apache.sysds.parser.dml that return DmlParser.ParameterizedExpressionContext
Modifier and Type
Method
Description
`DmlParser.ParameterizedExpressionContext`
DmlParser.BuiltinFunctionExpressionContext.`parameterizedExpression(int i)`
`DmlParser.ParameterizedExpressionContext`
DmlParser.FunctionCallAssignmentStatementContext.`parameterizedExpression(int i)`
`DmlParser.ParameterizedExpressionContext`
DmlParser.FunctionCallMultiAssignmentStatementContext.`parameterizedExpression(int i)`
`final DmlParser.ParameterizedExpressionContext`
DmlParser.`parameterizedExpression()`
Methods in org.apache.sysds.parser.dml that return types with arguments of type DmlParser.ParameterizedExpressionContext
Modifier and Type
Method
Description
`List<DmlParser.ParameterizedExpressionContext>`
DmlParser.BuiltinFunctionExpressionContext.`parameterizedExpression()`
`List<DmlParser.ParameterizedExpressionContext>`
DmlParser.FunctionCallAssignmentStatementContext.`parameterizedExpression()`
`List<DmlParser.ParameterizedExpressionContext>`
DmlParser.FunctionCallMultiAssignmentStatementContext.`parameterizedExpression()`
Methods in org.apache.sysds.parser.dml with parameters of type DmlParser.ParameterizedExpressionContext
Modifier and Type
Method
Description
`void`
DmlBaseListener.`enterParameterizedExpression(DmlParser.ParameterizedExpressionContext ctx)`
Enter a parse tree produced by `DmlParser.parameterizedExpression()`.
`void`
DmlListener.`enterParameterizedExpression(DmlParser.ParameterizedExpressionContext ctx)`
Enter a parse tree produced by `DmlParser.parameterizedExpression()`.
`void`
DmlPreprocessor.`enterParameterizedExpression(DmlParser.ParameterizedExpressionContext ctx)`
`void`
DmlSyntacticValidator.`enterParameterizedExpression(DmlParser.ParameterizedExpressionContext ctx)`
`void`
DmlBaseListener.`exitParameterizedExpression(DmlParser.ParameterizedExpressionContext ctx)`
Exit a parse tree produced by `DmlParser.parameterizedExpression()`.
`void`
DmlListener.`exitParameterizedExpression(DmlParser.ParameterizedExpressionContext ctx)`
Exit a parse tree produced by `DmlParser.parameterizedExpression()`.
`void`
DmlPreprocessor.`exitParameterizedExpression(DmlParser.ParameterizedExpressionContext ctx)`
`void`
DmlSyntacticValidator.`exitParameterizedExpression(DmlParser.ParameterizedExpressionContext ctx)`